Bug 1410896

Summary: ansible-review doesn't work, unless I manually install python2-flake8
Product: [Fedora] Fedora Reporter: Alan Jenkins <alan.christopher.jenkins>
Component: ansible-reviewAssignee: Dan Callaghan <dcallagh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: dcallagh, timo, will
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ansible-review-0.13.0-2.fc25 ansible-review-0.13.0-2.fc24 ansible-review-0.13.0-2.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-13 02:23:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alan Jenkins 2017-01-06 18:14:11 UTC
Description of problem:
ansible-review doesn't work, unless I manually install python2-flake8.

Version-Release number of selected component (if applicable):
ansible-review-0.13.0-1.fc25.noarch.rpm

$ ansible-review 
Traceback (most recent call last):
  File "/usr/bin/ansible-review", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2958, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2944, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2971, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 635, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 943, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 829, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'flake8' distribution was not found and is required by ansible-review

Comment 1 Fedora Update System 2017-01-09 21:56:00 UTC
ansible-review-0.13.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-725e09e9a9

Comment 2 Fedora Update System 2017-01-09 21:57:28 UTC
ansible-review-0.13.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4d52377593

Comment 3 Fedora Update System 2017-01-09 21:58:33 UTC
ansible-review-0.13.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-09d1d0f7d9

Comment 4 Fedora Update System 2017-01-10 03:24:13 UTC
ansible-review-0.13.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4d52377593

Comment 5 Fedora Update System 2017-01-10 03:28:49 UTC
ansible-review-0.13.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-09d1d0f7d9

Comment 6 Fedora Update System 2017-01-10 10:20:08 UTC
ansible-review-0.13.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-725e09e9a9

Comment 7 Fedora Update System 2017-01-13 02:23:50 UTC
ansible-review-0.13.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-01-25 20:18:29 UTC
ansible-review-0.13.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-01-26 00:19:14 UTC
ansible-review-0.13.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.